<%inherit file="base.mako" />
<%doc>
Template for the data input form.
Copyright (c) 2009 Jan Dittberner <jan@dittberner.info>

This file is part of DDPortfolio service.

DDPortfolio service is free software: you can redistribute it and/or
modify it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

DDPortfolio service is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public
License along with this program.  If not, see
<http://www.gnu.org/licenses/>.
</%doc>
<%def name="titleaddon()">
 - ${_('Enter your personal information')}
</%def>
<%def name="extrahead()">${h.javascript_link('/javascript/jquery/jquery.js',
h.url_for(controller='showformscripts',
action='index'))}</%def>
${h.form(h.url_for(action='urllist'), method='get')}
<fieldset id="ddportfolio">
  <legend>${_('Debian Developer Portfolio')}</legend>
  <div id="emailfield" \
       % if 'email' in c.messages['errors']:
       class="witherrors" \
       % endif
       >
    <label for="email">${_('Email address:')}
      % if 'email' in c.messages['errors']:
      <br />
      <span class="errormsg">${c.messages['errors']['email']}</span>
      % endif
    </label><br />
    ${h.text('email', request.params.get('email', None), id='email')}<br />
  </div>
  <div id="namefield" \
       % if 'name' in c.messages['errors']:
       class="witherrors" \
       % endif
       >
    <label for="name">${_('Name:')}
      % if 'name' in c.messages['errors']:
      <br />
      <span class="errormsg">${c.messages['errors']['name']}</span>
      % endif
    </label><br />
    ${h.text('name', request.params.get('name', None), id='name')}<br />
  </div>
  <div id="gpgfpfield" class="hidden">
    <label for="gpgfp">${_('GPG fingerprint:')}
      % if 'gpgfp' in c.messages['errors']:
      <br />
      <span class="errormsg">${c.messages['errors']['gpgfp']}</span>
      % endif
    </label><br />
    ${h.text('gpgfp', request.params.get('gpgfp', None),
    id='gpgfp', readonly='readonly')}<br />
  </div>
  <div id="usernamefield" \
       % if 'username' in c.messages['errors']:
       class="witherrors" \
       % endif
       >    
    <label for="username">${_('Debian user name:')}
      % if 'username' in c.messages['errors']:
      <br />
      <span class="errormsg">${c.messages['errors']['username']}</span>
      % endif
    </label><br />
    ${h.text('username', request.params.get('username', None),
    id='username')}<br />
  </div>
  <div id="nonddemailfield" \
       % if 'nonddemail' in c.messages['errors']:
       class="witherrors" \
       % endif
       >
    <label for="nonddemail">${_('Non DD email address:')}
      % if 'nonddemail' in c.messages['errors']:
      <br />
      <span class="errormsg">${c.messages['errors']['nonddemail']}</span>
      % endif
    </label><br />
    ${h.text('nonddemail', request.params.get('nonddemail', None),
    id='nonddemail')}<br />
  </div>
  <div id="aliothusernamefield" \
       % if 'aliothusername' in c.messages['errors']:
       class="witherrors"
       % endif
       >
    <label for="aliothusername">${_('Alioth user name:')}
      % if 'aliothusername' in c.messages['errors']:
      <br />
      <span
         class="errormsg">${c.messages['errors']['aliothusername']}</span>
      % endif
    </label><br />
    ${h.text('aliothusername', request.params.get('username', None),
    id='aliothusername')}<br />
  </div>
  <div id="modefield">
    <label for="mode_html">${_('Output format:')}
      % if 'mode' in c.messages['errors']:
      <br />
      <span class="errormsg">${c.messages['errors']['mode']}</span>
      % endif
    </label><br />
    ${_('HTML')}&#160;${h.radio('mode', 'html',
    checked=(request.params.get('mode',
    'html') == 'html'))}&#160;${_('JSON')}&#160;${h.radio('mode',
    'json', checked=(request.params.get('mode', 'html') == 'json'))}<br />
    ${h.submit('submit', value=_('Build DD Portfolio URLs'))}
  </div>
</fieldset>
${h.end_form()}
